<?php
/**
*
* @package phpBB3
* @version $Id: constants.php,v 1.86 2007/11/19 17:00:13 acydburn Exp $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

// Begin do not change any of these values
define('SMARTFEED',					'phpBB Smartfeed');	// Official title of Mod as seen in smartfeed_url.php
define('SMARTFEED_ATOM_10_VALUE', 	'ATOM1.0');
define('SMARTFEED_AUTHOR_EMAIL',	'mark@phpbbservices.com'); 
define('SMARTFEED_HOST',			'phpbbservices.com');
define('SMARTFEED_PAGE_URL',		'http://phpbbservices.com/smartfeed'); 
define('SMARTFEED_RSS_20_VALUE', 	'RSS2.0');
define('SMARTFEED_RSS_10_VALUE', 	'RSS1.0');
define('SMARTFEED_SHORT',			'Smartfeed');	// What displays in the overall header to advertise Smartfeed
define('SMARTFEED_VERSION',			'2.0.4');  
// End do not change any of these values

// You may want to change the following defaults using the guidance in the comments

define('SMARTFEED_APACHE_HTACCESS_ENABLED', false); // If you use Apache authentication, you need to correct your .htaccess file to allow the smartfeed.php program to bypass authentication. Otherwise it is impossible for Smartfeed to work, since Apache authentication won't let it through. If you have fixed your .htaccess file then you can set this to true.
define('SMARTFEED_AUTO_ADVERTISE_PUBLIC_FEED', true); // Set to true if you want to expose your public feed automatically.
define('SMARTFEED_DEFAULT_FETCH_TIME_LIMIT', (7 * 24 * 60 * 60));  // This will set a point in time beyond which no posts will be retrieved. Otherwise it could take minutes or hours to try to assemble a newsfeed for a very busy board. The default is to go back 7 days. Caution: if you set this to zero days, users will get a blank feed!
define('SMARTFEED_FEED_IMAGE_PATH', 'imageset/site_logo.gif'); // The phpBB icon (or the image you substituted for it). The default style will be used, so set the relative path from your default style directory
define('SMARTFEED_MAX_ITEMS', 0); // Set some upper bound on the number of items in a newsfeed. If 0, no limit. For heavily trafficked boards you may find you have to set a limit to keep the board from getting bogged down. Make sure this is a whole number.
define('SMARTFEED_PRIVACY_MODE', true); // If true, email addresses are not shown in the feed for public users and a fake email address is substituted if necessary to validate the feed. Signature blocks are not shown to public users. This is set to true by default. The idea is to keep spammers from having yet another way to harvest email addresses.
define('SMARTFEED_PUBLIC_FEED_URL_SUFFIX_ATOM','feed_type=ATOM1.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s&amp;max_word_size=%s'); // Note: language parameters substituted at runtime
define('SMARTFEED_PUBLIC_FEED_URL_SUFFIX_RSS','feed_type=RSS2.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s&amp;max_word_size=%s'); // Note: language parameters substituted at runtime
define('SMARTFEED_REQUIRE_IP_AUTHENTICATION', false); // Set to true to ensure that feed only works for a given IP domain, ex: 123.45.67.*
define('SMARTFEED_RFC1766_LANG', 'en-US'); // Language of feed content. Use only values at http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes
define('SMARTFEED_SHOW_USERNAME_IN_FIRST_TOPIC_POST', true); // Set to true if you want the username to appear in the item title of the first topic in a post
define('SMARTFEED_SHOW_USERNAME_IN_REPLIES', true); // If you set this to false, user names will not appear in replies. This could be dangerous because the newsreader may choose not to show the authors of individual items in the feed, so you would be disabling this for ALL readers.
define('SMARTFEED_SUPPRESS_FORUM_NAMES', false); // By default the forum name appears in the item title. To suppress it, set this value to true.
define('SMARTFEED_TTL',	'60'); // How many minutes to cache before refreshing the feed? Throttle the number up if your board is getting overwhelmed, but newsreaders may ignore your advice.
define('SMARTFEED_WEBMASTER',''); // If so inclined, enter email address of the webmaster of the phpBB forum

?>